# CorridorOutlineGeometry

#### new Cesium.CorridorOutlineGeometry(options)
Core/CorridorOutlineGeometry.js 379

A description of a corridor outline.

Name | Type | Description
--- | --- | ---
`options` | Object | Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`positions` | Array.<Cartesian3> |  | An array of positions that define the center of the corridor outline.
`width` | Number |  | The distance between the edges of the corridor outline.
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid to be used as a reference.
`granularity` | Number | `CesiumMath.RADIANS_PER_DEGREE` | optional The distance, in radians, between each latitude and longitude. Determines the number of positions in the buffer.
`height` | Number | `0` | optional The distance in meters between the positions and the ellipsoid surface.
`extrudedHeight` | Number |  | optional The distance in meters between the extruded face and the ellipsoid surface.
`cornerType` | CornerType | `CornerType.ROUNDED` | optional Determines the style of the corners.

##### Example:

    var corridor = new Cesium.CorridorOutlineGeometry({
      positions : Cesium.Cartesian3.fromDegreesArray([-72.0, 40.0, -70.0, 35.0]),
      width : 100000
    });

##### See:

- CorridorOutlineGeometry.createGeometry

### Members

#### packedLength : Number
Core/CorridorOutlineGeometry.js 411

The number of elements used to pack the object into an array.

### Methods

#### static Cesium.CorridorOutlineGeometry.createGeometry(corridorOutlineGeometry) → Geometry|undefined
Core/CorridorOutlineGeometry.js 528

Computes the geometric representation of a corridor, including its vertices, indices, and a bounding sphere.

Name | Type | Description
--- | --- | ---
`corridorOutlineGeometry` | CorridorOutlineGeometry | A description of the corridor.

##### Returns:

The computed vertices and indices.

#### static Cesium.CorridorOutlineGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/CorridorOutlineGeometry.js 424

Stores the provided instance into the provided array.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | CorridorOutlineGeometry |  | The value to pack.
`array` | Array.<Number> |  | The array to pack into.
`startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

##### Returns:

The array that was packed into

#### static Cesium.CorridorOutlineGeometry.unpack(array, startingIndex, result) → CorridorOutlineGeometry
Core/CorridorOutlineGeometry.js 473

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | CorridorOutlineGeometry |  | optional The object into which to store the result.

##### Returns:

The modified result parameter or a new CorridorOutlineGeometry instance if one was not provided.